- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Class TControlAdapter

    TComponent
       |
       --TApplicationComponent
          |
          --TControlAdapter

#### Direct Known Sub-classes:

TActiveControlAdapter , TActivePageAdapter , TWebControlAdapter

TControlAdapter class

TControlAdapter is the base class for adapters that customize various behaviors for the control to which the adapter is attached.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
void | createChildControls () Creates child controls for the attached control.
TControl | getControl ()
TPage | getPage ()
void | loadState () Loads additional persistent control state.
void | onInit ( TEventParameter $param) This method is invoked when the control enters 'OnInit' stage.
void | onLoad ( TEventParameter $param) This method is invoked when the control enters 'OnLoad' stage.
void | onPreRender ( TEventParameter $param) This method is invoked when the control enters 'OnPreRender' stage.
void | onUnload ( TEventParameter $param) This method is invoked when the control enters 'OnUnload' stage.
void | render ( THtmlWriter $writer) This method is invoked when the control renders itself.
void | renderChildren ( THtmlWriter $writer) Renders the control's children.
void | saveState () Saves additional persistent control state.

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## createChildControls

public void createChildControls | ()

Creates child controls for the attached control.

Default implementation calls the attached control's corresponding method.

Output
Exception

## getControl

public TControl getControl | ()

Output
TControl | the control to which this adapter is attached
Exception

## getPage

public TPage getPage | ()

Output
TPage | the page that contains the attached control
Exception

## loadState

public void loadState | ()

Loads additional persistent control state.

Default implementation calls the attached control's corresponding method.

Output
Exception

## onInit

public void onInit | (TEventParameter $param )

This method is invoked when the control enters 'OnInit' stage.

Default implementation calls the attached control's corresponding method.

Input
TEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## onLoad

public void onLoad | (TEventParameter $param )

This method is invoked when the control enters 'OnLoad' stage.

Default implementation calls the attached control's corresponding method.

Input
TEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## onPreRender

public void onPreRender | (TEventParameter $param )

This method is invoked when the control enters 'OnPreRender' stage.

Default implementation calls the attached control's corresponding method.

Input
TEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## onUnload

public void onUnload | (TEventParameter $param )

This method is invoked when the control enters 'OnUnload' stage.

Default implementation calls the attached control's corresponding method.

Input
TEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception

## render

public void render | (THtmlWriter $writer )

This method is invoked when the control renders itself.

Default implementation calls the attached control's corresponding method.

Input
THtmlWriter | $writer | writer for the rendering purpose
Output
Exception

## renderChildren

public void renderChildren | (THtmlWriter $writer )

Renders the control's children.

Default implementation calls the attached control's corresponding method.

Input
THtmlWriter | $writer | writer for the rendering purpose
Output
Exception

## saveState

public void saveState | ()

Saves additional persistent control state.

Default implementation calls the attached control's corresponding method.

Output
Exception